#version 450

layout(location = 0) out vec4 outColor;

layout(location = 0) in vec3 inNormal;

void main() {
    float diffuse = max(0.1, dot(vec3(0.8, 1.5, -1.0), inNormal));
    outColor = vec4(1.0, 0.0, 0.0, 1.0);
}
